---

services:
  catalog_sdk.request_service:
    class: Dexes\CatalogSdk\HttpRequestService
    factory: Drupal\Dexes\catalog_sdk\HttpRequestServiceFactory::create
    arguments:
      - '@http_client_factory'
      - '@config.factory'

  catalog_sdk.user_request_service:
    class: Dexes\CatalogSdk\HttpRequestService
    factory: Drupal\Dexes\catalog_sdk\HttpRequestServiceFactory::create
    arguments:
      - '@http_client_factory'
      - '@config.factory'
      - '@current_user'

  catalog_sdk.sdk:
    class: Dexes\CatalogSdk\CatalogSdk
    arguments:
      - '@catalog_sdk.request_service'

  catalog_sdk.user_sdk:
    class: Dexes\CatalogSdk\CatalogSdk
    arguments:
      - '@catalog_sdk.user_request_service'

  catalog_sdk.client_user_actions:
    class: Drupal\Dexes\catalog_sdk\Services\ClientUserActions
    factory: Drupal\Dexes\catalog_sdk\Services\ClientUserActions::create
    arguments:
      - '@config.factory'
      - '@logger.factory'
      - '@catalog_sdk.user_sdk'
